# TimeDynamicImagery

#### new Cesium.TimeDynamicImagery(options)
Scene/TimeDynamicImagery.js 33

Provides functionality for ImageryProviders that have time dynamic imagery

Name | Type | Description
--- | --- | ---

`options`

Object

Object with the following properties:

Name | Type | Description
--- | --- | ---
`clock` | Clock | A Clock instance that is used when determining the value for the time dimension. Required when `options.times` is specified.
`times` | TimeIntervalCollection | TimeIntervalCollection with its `data` property being an object containing time dynamic dimension and their values.
`requestImageFunction` | function | A function that will request imagery tiles.
`reloadFunction` | function | A function that will be called when all imagery tiles need to be reloaded.

### Members

#### clock : Clock
Scene/TimeDynamicImagery.js 62

Gets or sets a clock that is used to get keep the time used for time dynamic parameters.

#### currentInterval : TimeInterval
Scene/TimeDynamicImagery.js 108

Gets the current interval.

#### times : TimeIntervalCollection
Scene/TimeDynamicImagery.js 85

Gets or sets a time interval collection.

### Methods

#### checkApproachingInterval(x, y, level, request)
Scene/TimeDynamicImagery.js 153

Checks if the next interval is approaching and will start preload the tile if necessary. Otherwise it will just add the tile to a list to preload when we approach the next interval.

Name | Type | Description
--- | --- | ---
`x` | Number | The tile X coordinate.
`y` | Number | The tile Y coordinate.
`level` | Number | The tile level.
`request` | Request | optional The request object. Intended for internal use only.

#### getFromCache(x, y, level, request) → Promise.<Image>|undefined
Scene/TimeDynamicImagery.js 126

Gets the tile from the cache if its available.

Name | Type | Description
--- | --- | ---
`x` | Number | The tile X coordinate.
`y` | Number | The tile Y coordinate.
`level` | Number | The tile level.
`request` | Request | optional The request object. Intended for internal use only.

##### Returns:

A promise for the image that will resolve when the image is available, or undefined if the tile is not in the cache.